IGMPlot: src/include/vmdFileGenerator.h File Reference

IGMPlot 3.16 Optimized IGMplot version able to use wfn/wfx/xyz files

Loading...
Searching...
No Matches
Functions
vmdFileGenerator.h File Reference

Header of functions generating vmd files. More...

`#include <cstdio>`
`#include <ostream>`
`#include <vmdKeywords.h>`
`#include <vector>`
`#include <general.h>`
Include dependency graph for vmdFileGenerator.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | generateVMDAtContribInterFile (const std::string *rep, const bool QMmode)
| Generate the VMD file atContr.
void | generateVMDigmFile (const std::string *rep)
| Generate the VMD file igm.
void | generateVMDAtomDOIFile (const std::string *rep)
| Generate the VMD file ncc.
void | generateVMDnciFile (const std::string *rep)
| Generate the VMD file nci.
void | generateVMDCriticPointsFile (const std::string *rep, std::vector< criticalpoint > cpList)
| Generate the VMD file nci.
std::string | convertToVMDAtomSelect (std::string str)
| convert a fragment definition in IGMPLOT in an atom selection for vmd session
void | generateVMDelfFile (const std::string *rep)
| write the VMD script to display ELF isosurfaces
void | generateVMDPAULIFile (const std::string *rep)
| write the VMD script to display IGM dg/rho isosurfaces colored with PAULI exchange isosurfaces

## Detailed Description

Header of functions generating vmd files.

## Function Documentation

## ◆ convertToVMDAtomSelect()

std::string convertToVMDAtomSelect | ( | std::string | str | ) |

convert a fragment definition in IGMPLOT in an atom selection for vmd session

Parameters

  str | The string to be converted

Returns
  the converted string

Here is the caller graph for this function:

## ◆ generateVMDAtContribInterFile()

void generateVMDAtContribInterFile | ( | const std::string * | rep,
|  | const bool | QMmode )

Generate the VMD file atContr.

Parameters

  rep | The information for the variable content
  QMmode | True if a wave function is used to derive the electron density, else false for a promolecular calculation

Here is the caller graph for this function:

## ◆ generateVMDAtomDOIFile()

void generateVMDAtomDOIFile | ( | const std::string * | rep | ) |

Generate the VMD file ncc.

- *
  Parameters

    rep | The information for the variable content

Here is the caller graph for this function:

## ◆ generateVMDCriticPointsFile()

void generateVMDCriticPointsFile | ( | const std::string * | rep,
|  | std::vector< criticalpoint > | cpList )

Generate the VMD file nci.

Parameters

  rep | The information for the variable content
  cpList | All the information for each critical point found

Here is the caller graph for this function:

## ◆ generateVMDelfFile()

void generateVMDelfFile | ( | const std::string * | rep | ) |

write the VMD script to display ELF isosurfaces

Parameters

  rep | The information for the variable content

Here is the caller graph for this function:

## ◆ generateVMDigmFile()

void generateVMDigmFile | ( | const std::string * | rep | ) |

Generate the VMD file igm.

Parameters

  rep | The information for the variable content

Here is the caller graph for this function:

## ◆ generateVMDnciFile()

void generateVMDnciFile | ( | const std::string * | rep | ) |

Generate the VMD file nci.

Parameters

  rep | The information for the variable content

Here is the caller graph for this function:

## ◆ generateVMDPAULIFile()

void generateVMDPAULIFile | ( | const std::string * | rep | ) |

write the VMD script to display IGM dg/rho isosurfaces colored with PAULI exchange isosurfaces

Parameters

  rep | The information for the variable content

Here is the caller graph for this function: